Bug 1398350 (CVE-2016-9311) - CVE-2016-9311 ntp: Null pointer dereference when trap service is enabled
Summary: CVE-2016-9311 ntp: Null pointer dereference when trap service is enabled
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-9311
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1397351 1411642 1411643 1411644 1411645
Blocks: 1397349
TreeView+ depends on / blocked
 
Reported: 2016-11-24 14:01 UTC by Adam Mariš
Modified: 2019-09-29 14:00 UTC (History)
9 users (show)

Fixed In Version: ntp 4.2.8p9
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the way ntpd implemented the trap service. A remote attacker could send a specially crafted packet to cause a null pointer dereference that will crash ntpd, resulting in a denial of service.
Clone Of:
Environment:
Last Closed: 2017-02-06 06:50:46 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0252 normal SHIPPED_LIVE Moderate: ntp security update 2017-02-06 11:16:56 UTC

Description Adam Mariš 2016-11-24 14:01:56 UTC
If trap service, disabled by default, has been explicitly enabled, an attacker can send a specially crafted packet to cause a null pointer dereference that will crash ntpd, resulting in a denial of service.

External References:

http://support.ntp.org/bin/view/Main/NtpBug3119

Comment 1 Huzaifa S. Sidhpurwala 2016-12-14 08:16:49 UTC
Mitigation:

Use "restrict default noquery ..." in your ntp.conf file. Only allow mode 6 queries from trusted networks and hosts.

Comment 5 Keyur Pujara 2017-01-16 11:31:11 UTC
Is an RPM released with fix for this. I haven't seen one @ http://mirror.centos.org. 

If not released, what is ETA for same?

Thanks, Keyur

Comment 7 errata-xmlrpc 2017-02-06 06:17:56 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2017:0252 https://rhn.redhat.com/errata/RHSA-2017-0252.html


Note You need to log in before you can comment on or make changes to this bug.